#include <dos.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  union REGS r;

  if (argc == 1)
    return 1;
  r.x.ax = 0x4f02;
  r.x.bx = strtol(argv[1], NULL, 0) % 0xffff;
  int86(0x10, &r, &r);
  if(r.x.ax != 0x004f)
    return 4;
  return 0;
}
